
Figure - Bug #115043
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT2】【ST】【Tlog】QXDM日志参数设置未生效
2023-01-04 10:39 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-01-04

Priority: High Due date: 2023-02-16

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0063.X101

Resolution: WONTFIX Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-14

Test Type: ST Root cause: 目前抓取的log询问audio和modem能够分析问题，所以参数定制需求底。

Description

【前提条件】

None

【测试步骤】

1、设备烧机后，进入主界面

2、通过*#147#打开tlog，点击右上角进入设置

3、修改QXDM输入参数：如-n 1 -s 1000 -c 等等

4、点击保存后，start、stop qxdm日志

5、查看保存的tlog日志参数是否生效

【预期结果】

5 参数设置生效

【实际结果】

5.参数设置未生效

History

#1 - 2023-01-11 17:50 - CD SYSTEM-夏旭

- Status changed from New to ASSIGNED

qxdm的基本功能没有问题，但是如果要定制化12号之前时间来不及

#2 - 2023-01-12 15:28 - CD SYSTEM-夏旭

- Due date set to 2023-02-16

#3 - 2023-01-18 18:23 - CD SYSTEM-夏旭

原因和tcpdump是一样的，apk修改qxdm日志参数设置后并没有通过socket传过来，qxdm也没有去获取参数，之前没有做，是新的需求，目前socket已经ok

目前还在添加qxdm的配置

#4 - 2023-01-18 18:23 - CD SYSTEM-夏旭

- % Done changed from 0 to 50
#5 - 2023-02-14 18:36 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 50 to 100

- Resolution changed from -- to WONTFIX

- Degrated changed from -- to No

- Fixed Version set to 2023-02-14

- Root cause set to 目前抓取的log询问audio和modem能够分析问题，所以参数定制需求底。

#6 - 2023-02-15 14:30 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

根据RD讨论后最终此问题暂不修复，关闭issue

#7 - 2023-02-15 14:30 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
